package com.example.sms.controller;

import com.example.sms.common.SmsParams;
import com.example.sms.service.SmsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
public class SmsController {

    @Autowired
    private SmsService smsService;

    /**
     * 所有短信的入口
     * @param smsParams 参数JSON
     * @return
     */
    @RequestMapping(value = "/sms",method = RequestMethod.POST)
    @ResponseBody
    public String smsControlCenter(@RequestBody SmsParams smsParams){
        return smsService.sendMessage(smsParams);
    }
}
